# FIXME / TODO:
# ----
# get source for javaxzombie (or figure out how to build it)
# do we *need* cactus 1.7.2?
# figure out if we can symlink the jars in %%install somehow
# use eclipse binary instead of java -cp startup.jar for building
# update to newer version
# move fetching into script

%define eclipse_base            %{_datadir}/eclipse

Summary:        Eclipse Webtools Platform (WTP)
Name:           eclipse-webtools
Version:        1.5.0
Release:        2%{?dist}
License:        Eclipse Public License
Group:          Development/Tools
URL:            http://www.eclipse.org/webtools/

# Here's how to generate the source drop for WTP 1.5.0:
#
# mkdir -p temp/home && cd temp
# touch home/.cvspass
# cvs -d :pserver:anonymous@dev.eclipse.org:/home/webtools \
#   co releng.wtpbuilder
# pushd releng.wtpbuilder
# 
# # These patches do the following:
# #   1. add a fetch target to grab the source
# #   2. make it so that we don't attempt to download dependencies
# patch -p0 << _EOF_
# 
# Index: build.xml
# ===================================================================
# RCS file: /home/webtools/releng.wtpbuilder/build.xml,v
# retrieving revision 1.16
# diff -u -p -r1.16 build.xml
# --- build.xml	7 Jul 2006 12:09:12 -0000	1.16
# +++ build.xml	26 Jul 2006 13:34:42 -0000
# @@ -78,5 +78,15 @@
#  		</condition>
#  	</target>
#  
# +        <target name="fetch" depends="init">
# +                <ant antfile="build.xml" dir="\${pde.build.scripts}"
# +                                target="preBuild">
# +                        <property name="builder" value="\${basedir}/\${component}" />
# +                </ant>
# +                <ant antfile="build.xml" dir="\${pde.build.scripts}"
# +                                target="fetch">
# +                        <property name="builder" value="\${basedir}/\${component}" />
# +                </ant>
# +        </target>
#  
#  </project>
# Index: components/jst-sdk/customTargets.xml
# ===================================================================
# RCS file: /home/webtools/releng.wtpbuilder/components/jst-sdk/customTargets.xml,v
# retrieving revision 1.19
# diff -u -p -r1.19 customTargets.xml
# --- components/jst-sdk/customTargets.xml	26 May 2006 23:58:23 -0000	1.19
# +++ components/jst-sdk/customTargets.xml	26 Jul 2006 13:34:42 -0000
# @@ -117,15 +117,15 @@
#  	<!-- Steps to do after setup but before starting the build proper -->
#  	<!-- ===================================================================== -->
#  	<target name="postSetup">
# -		<dirname file="${ant.file}"
# -                 property="component.dir" />
# -		<ant antfile="${component.dir}/dependency.xml"
# -             target="get">
# -			<property name="dependency.properties"
# -                      value="${buildDirectory}/maps/releng/maps/dependencies.properties" />
# -			<property name="base.install.dir"
# -                      value="${buildRoot}" />
# -		</ant>
# +<!--                <dirname file="${ant.file}"-->
# +<!--                 property="component.dir" />-->
# +<!--                <ant antfile="${component.dir}/dependency.xml"-->
# +<!--             target="get">-->
# +<!--                        <property name="dependency.properties"-->
# +<!--                      value="${buildDirectory}/maps/releng/maps/dependencies.properties" />-->
# +<!--                        <property name="base.install.dir"-->
# +<!--                      value="${buildRoot}" />-->
# +<!--                </ant>-->
#  	</target>
#  
#  	<!-- ===================================================================== -->
# Index: components/wst-sdk/customTargets.xml
# ===================================================================
# RCS file: /home/webtools/releng.wtpbuilder/components/wst-sdk/customTargets.xml,v
# retrieving revision 1.16
# diff -u -p -r1.16 customTargets.xml
# --- components/wst-sdk/customTargets.xml	26 May 2006 23:58:23 -0000	1.16
# +++ components/wst-sdk/customTargets.xml	26 Jul 2006 13:34:42 -0000
# @@ -95,16 +95,16 @@
#  	<!-- Steps to do after setup but before starting the build proper -->
#  	<!-- ===================================================================== -->
#  	<target name="postSetup">
# -		<dirname file="${ant.file}"
# -                 property="component.dir" />
# -		<echo message="${buildDirectory}/maps/releng/maps/dependencies.properties" />
# -		<ant antfile="${component.dir}/dependency.xml"
# -             target="get">
# -			<property name="dependency.properties"
# -                      value="${buildDirectory}/maps/releng/maps/dependencies.properties" />
# -			<property name="base.install.dir"
# -                      value="${buildRoot}" />
# -		</ant>
# +<!--                <dirname file="${ant.file}"-->
# +<!--                 property="component.dir" />-->
# +<!--                <echo message="${buildDirectory}/maps/releng/maps/dependencies.properties" />-->
# +<!--                <ant antfile="${component.dir}/dependency.xml"-->
# +<!--             target="get">-->
# +<!--                        <property name="dependency.properties"-->
# +<!--                      value="${buildDirectory}/maps/releng/maps/dependencies.properties" />-->
# +<!--                        <property name="base.install.dir"-->
# +<!--                      value="${buildRoot}" />-->
# +<!--                </ant>-->
#  	</target>
#  
#  	<!-- ===================================================================== -->
# _EOF_ 
#  
# # Fetch the actual source
# 
# java -cp /usr/share/eclipse/startup.jar \
#   -Duser.home=../home org.eclipse.core.launcher.Main \
#   -application org.eclipse.ant.core.antRunner \
#   -buildfile build.xml \
#   -DbaseLocation=/usr/share/eclipse \
#   -Dpde.build.scripts=/usr/share/eclipse/plugins/org.eclipse.pde.build/scripts \
#   -Dcomponent=components/wst-sdk \
#   -DbuildDirectory=`pwd` \
#   -DbaseExists=true \
#   -DjavacDebugInfo=true \
#   -DmapCvsRoot=":pserver:anonymous@dev.eclipse.org:/cvsroot/webtools" \
#   -DmapVersionTag=R1_5_0 \
#   fetch
# 
# java -cp /usr/share/eclipse/startup.jar \
#   -Duser.home=../home org.eclipse.core.launcher.Main \
#   -application org.eclipse.ant.core.antRunner \
#   -buildfile build.xml \
#   -DbaseLocation=/usr/share/eclipse \
#   -Dpde.build.scripts=/usr/share/eclipse/plugins/org.eclipse.pde.build/scripts \
#   -Dcomponent=components/jst-sdk \
#   -DbuildDirectory=`pwd` \
#   -DbaseExists=true \
#   -DjavacDebugInfo=true \
#   -DmapCvsRoot=":pserver:anonymous@dev.eclipse.org:/cvsroot/webtools" \
#   -DmapVersionTag=R1_5_0 \
#   fetch
#   
# popd
#
# # Move things into the correct place ... yes, I should FIXME this
# mkdir -p build-wtp-R1.5-I/workdir
# mv directory.txt featureVersions.properties pluginVersions.properties \
#   fetch_org.* features plugins maps jst wst build-wtp-R1.5-I/workdir
# 
# # Make the source tarball
# tar jcf eclipse-webtools-fetched-src-1.5.0.tar.bz2 releng.wtpbuilder

Source0:	%{name}-fetched-src-%{version}.tar.bz2
# mkdir wsil4j && cd wsil4j
# svn co http://svn.apache.org/repos/asf/webservices/archive/wsil4j/trunk/java
# cd ..
# tar cjf wsil4j.tar.bz2 wsil4j
Source1:	wsil4j.tar.bz2

Patch0:		%{name}-build.patch
# Don't fetch stuff and only build what we want
Patch1:		%{name}-build.2.patch
# Pass baseLocation to avoid the "Content Provider not set for Site: "{0}"" error
Patch2:		%{name}-build.3.patch
# Allow tomcat5.5 to start up with a 1.4.2 VM and allow debugging
Patch3:		%{name}-tomcat1.4anddebug.patch

BuildRequires:    java-devel >= 1.4.2

BuildRequires:       eclipse-pde >= 1:3.2.0
BuildRequires:       eclipse-gef >= 3.2.0
BuildRequires:       eclipse-ve-jem >= 1.2.0
BuildRequires:       eclipse-emf-sdo >= 2.2.0
BuildRequires:       eclipse-emf-xsd >= 2.2.0
BuildRequires:       axis
BuildRequires:       jakarta-commons-discovery
BuildRequires:       jakarta-commons-logging
BuildRequires:       jakarta-commons-httpclient
BuildRequires:       log4j
# FIXME:  we need to investigate the differences between their version
# and the one in Fedora
#BuildRequires:       wsdl4j
BuildRequires:       xerces-j2
BuildRequires:       uddi4j
# FIXME:  update this to 1.7.2
BuildRequires:       jakarta-cactus
BuildRequires:       aspectj
# FIXME:  do I need to BR/R this?
BuildRequires:       xml-commons-apis
BuildRequires:       xml-commons-resolver

BuildArch:        noarch

BuildRoot: %{_tmppath}/%{name}-buildroot

# These first two packages are "meta packages" designed to parallel what is
# shipped upstream
Summary:	Eclipse Webtools Runtime (WST and JST)
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst = %{version}-%{release}
Requires:       %{name}-jst = %{version}-%{release}

%description
The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
tools for developing HTML, Javascript, CSS, JSP, SQL, XML, DTD, XSD, WSDL, and
J2EE web applications.

%package	sdk
Summary:	Eclipse Webtools SDK (WST and JST)
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst-sdk = %{version}-%{release}
Requires:       %{name}-jst-sdk = %{version}-%{release}
Provides:	%{name}-sdk

%description	sdk
The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
tools for developing HTML, Javascript, CSS, JSP, SQL, XML, DTD, XSD, WSDL, and
J2EE web applications.  This package is what is shipped upstream as the webtools
SDK.

%package	wst-common
Summary:        Eclipse Webtools Web Standard Tools common (core and UI).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       eclipse-gef
Requires:       eclipse-ve-jem
Requires:       eclipse-emf-xsd

%description	wst-common
The common component contains common utilities and infrastructure which are
required by the webtooling project, but which are not specific to webtooling
per se.  You probably don't want to install this package directly.

%package	wst-common-sdk
Summary:        Eclipse Webtools Web Standard Tools common source and ISV docs.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       eclipse-platform
Requires:       %{name}-wst-common = %{version}-%{release}

%description	wst-common-sdk
Source for Eclipse Webtools Web Standard Tools common components for use
within Eclipse.

%package	wst-server
Summary:        Eclipse Webtools Web Standard Tools server (core and UI).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       eclipse-platform

%description	wst-server
The server component contains the Server Tools framework and adapters for
selected servers. At the WST level, the server component is a very generic
infrastructure. (The J2EE specific server component is in JST).

%package	wst-server-sdk
Summary:        Eclipse Webtools Web Standard Tools server source.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst-server = %{version}-%{release}

%description	wst-server-sdk
Source for Eclipse Webtools Web Standard Tools server components for use
within Eclipse.

%package	wst-ws
Summary:        Eclipse Webtools Web Standard Tools Web Services (core and UI).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       jakarta-commons-discovery
Requires:       jakarta-commons-logging
Requires:       log4j
Requires:       axis
# FIXME:  we need to investigate the differences between their version and ours
#Requires:       wsdl4j
Requires:       uddi4j
# FIXME
#Requires:       wsil4j
Requires:       xerces-j2
Requires:       %{name}-wst-common = %{version}-%{release}
Requires:       %{name}-wst-server = %{version}-%{release}

%description	wst-ws
The WST WS component contains the Web Services Explorer, Apache SOAP, Apache
Axis, UDDI4J and WSIL4J models and a number of general purpose frameworks for
use by callers and extenders of the Web services platform.

%package	wst-ws-sdk
Summary:        Eclipse Webtools Web Standard Tools Web Services source.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst-ws = %{version}-%{release}

%description	wst-ws-sdk
Source for Eclipse Webtools Web Standard Tools Web Services components for use
within Eclipse.

%package	wst-webcore
Summary:        Eclipse Webtools Web Standard Tools Web Core (HTML, CSS, Javascript) (core and UI).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst-common = %{version}-%{release}
Requires:       %{name}-wst-server = %{version}-%{release}

%description	wst-webcore
The WST Web Core feature contains components related to HTML, CSS, and Javascript technologies.

%package	wst-webcore-sdk
Summary:        Eclipse Webtools Web Standard Tools Web Core (HTML, CSS, Javascript) source.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       eclipse-platform
Requires:       %{name}-wst-webcore = %{version}-%{release}

%description	wst-webcore-sdk
Source for Eclipse Webtools Web Standard Tools Web Core (HTML, CSS,
Javascript) components for use within Eclipse.

%package	wst-rdb
Summary:        Eclipse Webtools Web Standard Tools Relational Database (RDB) components and adapters(Derby, MySQL, DB2, etc.).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       eclipse-platform
Requires:       eclipse-emf-sdo

%description	wst-rdb
The WST RDB feature contains components related to relational databases.

%package	wst-rdb-sdk
Summary:        Eclipse Webtools Web Standard Tools RDB source.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst-rdb = %{version}-%{release}

%description	wst-rdb-sdk
Source for Eclipse Webtools Web Standard Tools RDB components for use within
Eclipse.

%package	wst-xml
Summary:        Eclipse Webtools XML features (core and UI).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       xerces-j2
Requires:       %{name}-wst-common = %{version}-%{release}

%description	wst-xml
The xml component contains the XML editor, model, views, wizards, etc. It
contains an incremental, fault tolerant DOM parser, which is also the basis of
several other similar models in HTML and JSP.

%package	wst-xml-sdk
Summary:        Eclipse Webtools XML features source.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst-xml = %{version}-%{release}

%description	wst-xml-sdk
Source for Eclipse Webtools Web Standard Tools XML components for use within
Eclipse.

%package	wst
Summary:        Eclipse Webtools WST.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:	%{name}-wst-rdb = %{version}-%{release}
Requires:	%{name}-wst-webcore = %{version}-%{release}
Requires:	%{name}-wst-ws = %{version}-%{release}
Requires:	%{name}-wst-xml = %{version}-%{release}

%description	wst
Eclipse Webtools Web Standard Tools.  This package depends upon all of the
other WST packages (excluding the -sdk).

%package	wst-sdk
Summary:        Eclipse Webtools WST SDK.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:	%{name}-wst-common-sdk = %{version}-%{release}
Requires:	%{name}-wst-server-sdk = %{version}-%{release}
Requires:	%{name}-wst-rdb-sdk = %{version}-%{release}
Requires:	%{name}-wst-webcore-sdk = %{version}-%{release}
Requires:	%{name}-wst-ws-sdk = %{version}-%{release}
Requires:	%{name}-wst-xml-sdk = %{version}-%{release}

%description	wst-sdk
Eclipse Webtools Web Standard Tools SDK.  This package depends upon all of
the other WST packages (including the -sdk).

%package	jst-common
Summary:        Eclipse Webtools J2EE Standard Tools common (core and UI).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       eclipse-jdt
Requires:       %{name}-wst-common = %{version}-%{release}

%description	jst-common
The common component contains utilities and infrastructure common to the other
JST components.  You probably don't want to install this package directly.

%package	jst-common-sdk
Summary:        Eclipse Webtools J2EE Standard Tools common source.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-jst-common = %{version}-%{release}

%description	jst-common-sdk
Source for Eclipse Webtools J2EE Standard Tools common components for use
within Eclipse.

%package	jst-server
Summary:        Eclipse Webtools J2EE Standard Tools server (core and UI).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       eclipse-jdt
Requires:       %{name}-wst-server = %{version}-%{release}

%description	jst-server
The server component contains the J2EE Server Tools framework and adapters for
selected popular J2EE servers such as Apache Tomcat.

%package	jst-server-sdk
Summary:        Eclipse Webtools J2EE Standard Tools server source.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-jst-server = %{version}-%{release}

%description	jst-server-sdk
Source for Eclipse Webtools J2EE Standard Tools server components for use
within Eclipse.

%package	jst-webcore
Summary:        Eclipse Webtools J2EE Standard Tools server (core and UI).
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst-webcore = %{version}-%{release}
Requires:       %{name}-jst-common = %{version}-%{release}
Requires:       %{name}-jst-server = %{version}-%{release}

%description	jst-webcore
The Web Core component contains plugins used by the Enterprise Core
components.  You probably don't want to install this package directly.

%package	jst-webcore-sdk
Summary:        Eclipse Webtools J2EE Standard Tools Web Core source.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-jst-server = %{version}-%{release}

%description	jst-webcore-sdk
Source for Eclipse Webtools J2EE Standard Tools Web Core components for use
within Eclipse.

%package	jst-enterprise
Summary:        Eclipse Webtools J2EE Standard Tools Enterprise (core and UI) components.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-wst-rdb = %{version}-%{release}
Requires:       %{name}-wst-ws = %{version}-%{release}
Requires:       %{name}-jst-webcore = %{version}-%{release}

%description	jst-enterprise
The JST Enterprise components contain plugins that provide frameworks and
tools focused on the development of J2EE and web services artifacts.

%package	jst-enterprise-sdk
Summary:        Eclipse Webtools J2EE Standard Tools Enterprise source and ISV docs.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-jst-enterprise = %{version}-%{release}

%description	jst-enterprise-sdk
Source for Eclipse Webtools J2EE Standard Tools Enterprise components for use
within Eclipse.

%package	jst
Summary:        Eclipse Webtools JST.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:	%{name}-jst-enterprise = %{version}-%{release}

%description	jst
Eclipse Webtools J2EE Standard Tools.  This package depends upon all of the
other JST packages (excluding the -sdk).

%package	jst-sdk
Summary:        Eclipse Webtools JST SDK.
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:	%{name}-jst-common-sdk = %{version}-%{release}
Requires:	%{name}-jst-server-sdk = %{version}-%{release}
Requires:	%{name}-jst-webcore-sdk = %{version}-%{release}
Requires:	%{name}-jst-enterprise-sdk = %{version}-%{release}

%description	jst-sdk
Eclipse Webtools J2EE Standard Tools SDK.  This package depends upon all of
the other JST packages (including the -sdk).

%prep
# The "-a 1" explodes the wsil4j tarball as well
%setup -q -c -a 1

pushd releng.wtpbuilder
# Move things into the correct place ... yes, I should re-do the tarball
mkdir -p build-wtp-R%{majmin}-I/workdir
rm -rf build-wtp-R%{majmin}-I/workdir
mv build-wtp-I/workdir build-wtp-R%{majmin}-I
popd

%patch0 -p0
pushd releng.wtpbuilder
%patch1 -p0
%patch2 -p0
popd
# FIXME:  file this upstream
pushd \
  releng.wtpbuilder/build-wtp-R%{majmin}-I/workdir/plugins/org.eclipse.jst.server.tomcat.core
%patch3 -p0
popd

pushd releng.wtpbuilder/build-wtp-R%{majmin}-I/workdir
# Use the jars that were built in the other packages
ln -sf %{_javadir}/axis/axis-ant.jar plugins/org.apache.axis/lib
ln -sf %{_javadir}/axis/axis.jar plugins/org.apache.axis/lib
ln -sf %{_javadir}/axis/jaxrpc.jar plugins/org.apache.axis/lib
ln -sf %{_javadir}/axis/saaj.jar plugins/org.apache.axis/lib
# FIXME:  we need to investigate the differences between their version and ours
#ln -sf %{_javadir}/wsdl4j-1.5.1.jar plugins/org.apache.axis/lib
# FIXME:  we have 1.2.12?
ln -sf %{_javadir}/log4j.jar plugins/org.apache.jakarta_log4j/lib/log4j-1.2.8.jar
# FIXME:  We have 0.3?
ln -sf %{_javadir}/commons-discovery.jar plugins/org.apache.axis/lib/commons-discovery-0.2.jar
ln -sf %{_javadir}/commons-logging.jar plugins/org.apache.commons_logging/lib/commons-logging-1.0.4.jar
ln -sf %{_javadir}/xml-commons-resolver.jar plugins/org.apache.xerces/resolver.jar
ln -sf %{_javadir}/xerces-j2.jar plugins/org.apache.xerces/xercesImpl.jar
ln -sf %{_javadir}/xml-commons-apis.jar plugins/org.apache.xerces/xml-apis.jar
# FIXME:  we need to investigate the differences between their version and ours
#ln -sf %{_javadir}/wsdl4j.jar plugins/org.wsdl4j/lib
#ln -sf %{_javadir}/qname.jar plugins/org.wsdl4j/lib
ln -sf %{_javadir}/uddi4j.jar plugins/org.uddi4j/lib
ln -sf %{_javadir}/commons-logging-1.0.4.jar plugins/org.apache.cactus/lib
# FIXME:  need 2.0.2?
ln -sf %{_javadir}/commons-httpclient-2.0.jar plugins/org.apache.cactus/lib/commons-httpclient-2.0.2.jar
ln -sf %{_javadir}/junit-3.8.1.jar plugins/org.apache.cactus/lib
ln -sf %{_javadir}/aspectjrt-1.2.1.jar plugins/org.apache.cactus/lib
# FIXME:  need 1.7.2?
ln -sf %{_javadir}/cactus14/cactus-1.7.1.jar plugins/org.apache.cactus/lib/cactus-1.7.2.jar
# FIXME:  what is this jar?
#rm plugins/org.apache.axis/lib/javaxzombie.jar

popd

pushd releng.wtpbuilder
# Ahem
sed --in-place "s:javacFailOnError=false:javacFailOnError=true/:g" build.properties
# Hmm ...
sed --in-place "s:-discouraged,::g" build.properties
popd

mkdir home
homedir=$(cd home > /dev/null && pwd)

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base} \
  emf gef jem xsd draw2d

%build

# Build WSIL4J
pushd wsil4j/java
ant \
  -Dwsil4j.build.classpath=%{_javadir}/uddi4j.jar:%{_javadir}/wsdl4j.jar:%{_javadir}/xerces-j2.jar
cp build/lib/wsil4j.jar \
  ../../releng.wtpbuilder/build-wtp-R%{majmin}-I/workdir/plugins/org.apache.wsil4j/lib
popd

SDK=$(cd SDK && pwd)
homedir=$(cd home > /dev/null && pwd)

pushd releng.wtpbuilder
sed --in-place "s:@SDK@:$SDK/:g" build.properties
# some notes about what we're doing here:
#
# -Duser.home=$homedir: override java.home in the vm so that eclipse only adds files in the buildroot 
# -Dcomponent=: the component of WTP we want to build 
# -DjavacFailOnError=true: fail if there is an error 
# -DdontUnzip=true: don't unzip the result, we will do it manually
# -DbaseLocation=$SDK: $SDK is a mirror of the system SDK dir that is writable by the process 
#                      running the build. This let's the build "see" the jars and have a place to 
#                      put the plugins that have just been built
# -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build/scripts:  we need to specify this 
#                                                                        because we are using 3.1.2 
# -DskipFetch=true: don't fetch the sources 
# -DbaseExists=true: don't download the SDK, we want to use the one in $SDK

java -cp $SDK/startup.jar			\
    -Duser.home=$homedir			\
     org.eclipse.core.launcher.Main		\
    -application org.eclipse.ant.core.antRunner	\
    -Duser.home=$homedir			\
    -Declipse.builder.fetch=false      		\
    -DjavacFailOnError=true    			\
    -DdontUnzip=true				\
    -DbaseLocation=$SDK				\
    -Dbase.location=$SDK			\
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build/scripts \
    -Dpde.builder.path=$SDK \
    -Declipse.builder.fetch=false \
    -DskipFetch=true				\
    -DmapsLocal=true				\
    -DbaseExists=true				\
    -Dbuild.home=`pwd` \
    -DmapsLocal=true \
    -DmapVersionTag="R%{major}_%{minor}_maintenance" \
    -DbuildDirectory=`pwd`

%install
rm -rf ${RPM_BUILD_ROOT}
install -d -m755 ${RPM_BUILD_ROOT}/%{eclipse_base}

for file in $(pwd)/releng.wtpbuilder/build-wtp-R%{majmin}-I/workdir/I*/wtp-sdk-I*.zip; do
  case $file in
    *eclipse*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file)
      ;;
  esac
done

# FIXME:  un-jar the bundles so we can symlink (or do they use Orbit
# now?)
#pushd $RPM_BUILD_ROOT/%{eclipse_base}
## Use the jars that were built in the other packages
#ln -sf %{_javadir}/axis/axis-ant.jar plugins/org.apache.axis_*/lib
#ln -sf %{_javadir}/axis/axis.jar plugins/org.apache.axis_*/lib
#ln -sf %{_javadir}/axis/jaxrpc.jar plugins/org.apache.axis_*/lib
#ln -sf %{_javadir}/axis/saaj.jar plugins/org.apache.axis_*/lib
## FIXME:  we need to investigate the differences between their version and ours
##ln -sf %{_javadir}/wsdl4j-1.5.1.jar plugins/org.apache.axis_*/lib
## FIXME:  we have 1.2.12?
#ln -sf %{_javadir}/log4j.jar plugins/org.apache.axis_*/lib/log4j-1.2.8.jar
## FIXME:  we have 0.3?
#ln -sf %{_javadir}/commons-discovery.jar plugins/org.apache.axis_*/lib/commons-discovery-0.2.jar
#ln -sf %{_javadir}/commons-logging.jar plugins/org.apache.axis_*/lib/commons-logging-1.0.4.jar
#ln -sf %{_javadir}/xml-commons-resolver.jar plugins/org.apache.xerces_*/resolver.jar
#ln -sf %{_javadir}/xerces-j2.jar plugins/org.apache.xerces_*/xercesImpl.jar
#ln -sf %{_javadir}/xml-commons-apis.jar plugins/org.apache.xerces_*/xml-apis.jar
## FIXME:  we need to investigate the differences between their version and ours
##ln -sf %{_javadir}/wsdl4j.jar plugins/org.wsdl4j_*/lib
##ln -sf %{_javadir}/qname.jar plugins/org.wsdl4j_*/lib
#ln -sf %{_javadir}/uddi4j.jar plugins/org.uddi4j_*/lib
#ln -sf %{_javadir}/commons-logging-1.0.4.jar plugins/org.apache.cactus_*/lib
## FIXME:  need 2.0.2?
#ln -sf %{_javadir}/commons-httpclient-2.0.jar plugins/org.apache.cactus_*/lib/commons-httpclient-2.0.2.jar
#ln -sf %{_javadir}/junit-3.8.1.jar plugins/org.apache.cactus_*/lib
#ln -sf %{_javadir}/aspectjrt-1.2.1.jar plugins/org.apache.cactus_*/lib
## FIXME:  need 1.7.2?
#ln -sf %{_javadir}/cactus14/cactus-1.7.1.jar plugins/org.apache.cactus_*/lib/cactus-1.7.2.jar
## FIXME:  what is this jar?
##rm plugins/org.apache.axis_*/lib/javaxzombie.jar
#popd

%clean 
rm -rf ${RPM_BUILD_ROOT}

%files wst-common
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.common_core.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.common.core_*
%{eclipse_base}/plugins/org.eclipse.wst.common.emfworkbench.integration_*
%{eclipse_base}/plugins/org.eclipse.wst.command.env_*
%{eclipse_base}/plugins/org.eclipse.wst.command.env.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.command.env.core_*
%{eclipse_base}/plugins/org.eclipse.wst.common.emf_*
%{eclipse_base}/plugins/org.eclipse.wst.common.environment_*
%{eclipse_base}/plugins/org.eclipse.wst.common.frameworks_*
%{eclipse_base}/plugins/org.eclipse.wst.common.modulecore_*
%{eclipse_base}/plugins/org.eclipse.wst.common.project.facet.core_*
%{eclipse_base}/plugins/org.eclipse.wst.common.uriresolver_*
%{eclipse_base}/plugins/org.eclipse.wst.validation_*
%{eclipse_base}/plugins/org.eclipse.wst.validation.infopop_*
%{eclipse_base}/features/org.eclipse.wst.common_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.command.env.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.common.frameworks.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.common.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.common.project.facet.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.common.snippets_*
%{eclipse_base}/plugins/org.eclipse.wst.common.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.common.ui.properties_*
%{eclipse_base}/plugins/org.eclipse.wst.internet.proxy_*
%{eclipse_base}/plugins/org.eclipse.wst.internet.proxy.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.internet.cache_*
%{eclipse_base}/plugins/org.eclipse.wst.validation.ui_*
%{eclipse_base}/features/org.eclipse.wst.common_userdoc.feature_*

%files wst-common-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.common_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.common_core.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.common_ui.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.common_ui.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.doc.isv.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.doc.isv_*
%{eclipse_base}/features/org.eclipse.wst.common_sdk.feature_*

%files wst-server
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.server_core.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.server.core_*
%{eclipse_base}/plugins/org.eclipse.wst.internet.monitor.core_*
%{eclipse_base}/features/org.eclipse.wst.server_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.internet.monitor.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.server.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.server.ui_*
%{eclipse_base}/features/org.eclipse.wst.server_userdoc.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.server.ui.doc.user_*

%files wst-server-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.server_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.server_core.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.server_ui.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.server_ui.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.server_sdk.feature_*

%files wst-ws
%defattr(-,root,root)
%{eclipse_base}/features/org.apache.xerces.feature_*
%{eclipse_base}/features/org.apache.axis.feature_*
%{eclipse_base}/features/org.apache.wsil4j.feature_*
%{eclipse_base}/features/org.apache.commons_logging.feature_*
%{eclipse_base}/features/org.apache.jakarta_log4j.feature_*
%{eclipse_base}/features/org.uddi4j.feature_*
%{eclipse_base}/features/org.wsdl4j.feature_*
%{eclipse_base}/plugins/org.apache.axis_*
%{eclipse_base}/plugins/org.apache.xerces_*
%{eclipse_base}/plugins/org.apache.wsil4j_*
%{eclipse_base}/plugins/org.apache.commons_logging_*
%{eclipse_base}/plugins/org.apache.jakarta_log4j_*
%{eclipse_base}/plugins/org.uddi4j_*
%{eclipse_base}/plugins/org.wsdl4j_*
%{eclipse_base}/features/org.eclipse.wst.ws_core.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.ws_*
%{eclipse_base}/plugins/org.eclipse.wst.ws.parser_*
%{eclipse_base}/plugins/org.eclipse.wst.wsdl_*
%{eclipse_base}/plugins/org.eclipse.wst.wsdl.validation_*
%{eclipse_base}/plugins/org.eclipse.wst.wsi_*
%{eclipse_base}/features/org.eclipse.wst.ws_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.ws.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.ws.explorer_*
%{eclipse_base}/plugins/org.eclipse.wst.ws.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.wsdl.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.wsi.ui_*
%{eclipse_base}/features/org.eclipse.wst.ws_userdoc.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.wsdl.ui.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.wsi.ui.doc.user_*

%files wst-ws-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.ws_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.ws_core.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.ws_ui.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.ws_ui.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.ws_sdk.feature_*

%files wst-webcore
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.web_core.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.css.core_*
%{eclipse_base}/plugins/org.eclipse.wst.html.core_*
%{eclipse_base}/plugins/org.eclipse.wst.javascript.core_*
%{eclipse_base}/plugins/org.eclipse.wst.web_*
%{eclipse_base}/plugins/org.eclipse.wst.html.standard.dtds_*
%{eclipse_base}/features/org.eclipse.wst.web_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.html.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.javascript.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.web.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.css.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.html.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.javascript.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.web.ui_*
%{eclipse_base}/features/org.eclipse.wst.web_userdoc.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.webtools.doc.user_*

%files wst-webcore-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.web_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.web_core.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.web_ui.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.web_ui.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.web_sdk.feature_*

%files wst-rdb
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.rdb_core.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.core_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.generic.jdbc*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.models.sql_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.models.dbdefinition_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.data.core_*
%{eclipse_base}/features/org.eclipse.wst.rdb_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.connection.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.fe.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.outputview.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.server.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.sqleditor.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.connection.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.core.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.data.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.fe.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.fe.ui.actions_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.models.sql.edit_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.outputview_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.server.extensions_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.server.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.sqleditor_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.sqlscrapbook_*
%{eclipse_base}/features/org.eclipse.wst.rdb_userdoc.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.datatools.connection.ui.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.datatools.fe.ui.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.datatools.server.ui.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.sqleditor.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.datatools.data.ui.doc.user_*
%{eclipse_base}/features/org.eclipse.wst.rdb_adapters.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.db2.iseries_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.db2.luw_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.db2.zseries_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.derby_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.informix_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.mysql_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.oracle_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.sqlserver_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.dbdefinition.sybase_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.derby_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.mysql_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb.derby.ui_*

%files wst-rdb-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.rdb_sdk.feature_*
%{eclipse_base}/features/org.eclipse.wst.rdb_adapters.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.rdb_core.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.rdb_ui.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb_adapters.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.rdb_ui.feature.source_*

%files wst-xml
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.xml_core.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.xml.core_*
%{eclipse_base}/plugins/org.eclipse.wst.dtd.core_*
%{eclipse_base}/plugins/org.eclipse.wst.xsd.core_*
%{eclipse_base}/plugins/org.eclipse.wst.sse.core_*
%{eclipse_base}/features/org.eclipse.wst.xml_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.dtd.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.dtd.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.sse.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.xml.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.wst.sse.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.xml.ui_*
%{eclipse_base}/plugins/org.eclipse.wst.xsd.ui_*
%{eclipse_base}/features/org.eclipse.wst.xml_userdoc.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.dtdeditor.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.sse.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.xmleditor.doc.user_*
%{eclipse_base}/plugins/org.eclipse.wst.xsdeditor.doc.user_*

%files wst-xml-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.xml_core.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.xml_ui.feature.source_*
%{eclipse_base}/features/org.eclipse.wst.xml_sdk.feature_*
%{eclipse_base}/plugins/org.eclipse.wst.xml_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.wst.xml_ui.feature.source_*

%files wst
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst_*
%{eclipse_base}/plugins/org.eclipse.wst_*

%files wst-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.wst.sdk_*

%files jst-common
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.common_core.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.common.project.facet.core_*

%files jst-common-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.common_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.jst.common_core.feature.source_*
%{eclipse_base}/features/org.eclipse.jst.common_sdk.feature_*

%files jst-server
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.server_core.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.server.core_*
%{eclipse_base}/plugins/org.apache.cactus_*
%{eclipse_base}/plugins/org.eclipse.jst.server.generic.core_*
%{eclipse_base}/features/org.eclipse.jst.server_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.server.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.server.generic.jboss_*
%{eclipse_base}/plugins/org.eclipse.jst.server.generic.jonas_*
%{eclipse_base}/plugins/org.eclipse.jst.server.generic.oc4j_*
%{eclipse_base}/plugins/org.eclipse.jst.server.generic.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.server.generic.weblogic_*
%{eclipse_base}/plugins/org.eclipse.jst.server.installable_*
%{eclipse_base}/plugins/org.eclipse.jst.server.ui.infopop_*
%{eclipse_base}/features/org.eclipse.jst.server_userdoc.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.server.ui.doc.user_*
%{eclipse_base}/features/org.eclipse.jst.server_adapters.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.server.tomcat.core_*
%{eclipse_base}/plugins/org.eclipse.jst.server.tomcat.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.server.websphere.core_*

%files jst-server-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.server_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.jst.server_core.feature.source_*
%{eclipse_base}/features/org.eclipse.jst.server_ui.feature.source_*
%{eclipse_base}/plugins/org.eclipse.jst.server_ui.feature.source_*
%{eclipse_base}/features/org.eclipse.jst.server_adapters.feature.source_*
%{eclipse_base}/plugins/org.eclipse.jst.server_adapters.feature.source_*
%{eclipse_base}/features/org.eclipse.jst.server_sdk.feature_*

%files jst-webcore
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.web_core.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.common.annotations.core_*
%{eclipse_base}/plugins/org.eclipse.jst.common.annotations.controller_*
%{eclipse_base}/plugins/org.eclipse.jst.common.frameworks_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.web_*
%{eclipse_base}/plugins/org.eclipse.jst.jsp.core_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.core_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee_*
%{eclipse_base}/plugins/org.eclipse.equinox.servlet.api_*
%{eclipse_base}/features/org.eclipse.jst.web_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.common.annotations.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.jsp.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.jsp.ui.infopop_*
%{eclipse_base}/features/org.eclipse.jst.web_userdoc.feature_*

%files jst-webcore-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.web_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.jst.web_core.feature.source_*
%{eclipse_base}/features/org.eclipse.jst.web_ui.feature.source_*
%{eclipse_base}/plugins/org.eclipse.jst.web_ui.feature.source_*
%{eclipse_base}/features/org.eclipse.jst.web_sdk.feature_*

%files jst-enterprise
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.enterprise_core.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.webservice_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.ejb_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.jca_*
%{eclipse_base}/features/org.eclipse.jst.enterprise_ui.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.ws_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.axis.creation.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.axis.consumption.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.jca.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.navigator.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.webservice.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.axis.consumption.core_*
%{eclipse_base}/plugins/org.eclipse.jst.servlet.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.uddiregistry_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.creation.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.consumption.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.consumption_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.infopop_*
%{eclipse_base}/plugins/org.eclipse.jst.jsp.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.jst.servlet.ui.infopop_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.axis.infopop_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.consumption.infopop_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.infopop_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.creation.ejb.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.ejb.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.ejb.annotations.ui_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.ejb.annotation.model_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.ejb.annotations.emitter_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.ejb.annotations.xdoclet_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.xdoclet.runtime_*
%{eclipse_base}/features/org.eclipse.jst.enterprise_userdoc.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.ejb.doc.user_*
%{eclipse_base}/plugins/org.eclipse.jst.j2ee.doc.user_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.axis.ui.doc.user_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.consumption.ui.doc.user_*
%{eclipse_base}/plugins/org.eclipse.jst.ws.doc.user_*

%files jst-enterprise-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.enterprise_core.feature.source_*
%{eclipse_base}/plugins/org.eclipse.jst.enterprise_core.feature.source_*
%{eclipse_base}/features/org.eclipse.jst.enterprise_ui.feature.source_*
%{eclipse_base}/plugins/org.eclipse.jst.enterprise_ui.feature.source_*
%{eclipse_base}/features/org.eclipse.jst.doc.isv.feature_*
%{eclipse_base}/plugins/org.eclipse.jst.doc.isv_*
%{eclipse_base}/features/org.eclipse.jst.enterprise_sdk.feature_*

%files jst
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst_*
%{eclipse_base}/plugins/org.eclipse.jst_*

%files jst-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.jst.sdk_*
%{eclipse_base}/plugins/org.eclipse.jst_*

# Meta-packages
%files

%files sdk

%changelog
